## latex-cjk-japanese-wadalab 0.20050817

=== debian/changelog ===
latex-cjk-japanese-wadalab (0.20050817-20) unstable; urgency=medium

  * Lintian:
    - silent-on-rules-requiring-root
    - update-debian-copyright
    - out-of-date-standards-version (using dh sequencer is still only
      recommended)
  * Source only upload to make sure the package migrates to testing
    (Closes: #1078665).
  * Add missing DEP-3 field to one patch.

 -- Hilmar Preuße <hille42@debian.org>  Wed, 28 Aug 2024 00:20:49 +0200

latex-cjk-japanese-wadalab (0.20050817-19) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on tex-common.
    + Build-Depends-Indep: Drop versioned constraint on perl-base.
    + Remove 2 maintscript entries from 1 files.

  [ Danai SAE-HAN (韓達耐) ]
  * [rules]
     - Add '-ansi' to the compiler options for 'wftodm.c'.  The code
       may be a bit old-fashioned and cause errors instead of warnings
       in GCC 14, but the risk to end users is minimal as the 'wftodm'
       binary is only used during build time and not distributed to
       end users (Closes: #1077439).  Thanks to Lucas for the bug
       report.

  [ Hilmar Preusse ]
  * [control]
     - Update my Uploaders/Maintainers email address.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Mon, 05 Aug 2024 12:17:05 +0800

latex-cjk-japanese-wadalab (0.20050817-18) unstable; urgency=medium

  [ Norbert Preining ]
  * Add Hilmar to Uploaders.
  * Fix Vcs URL's in d/control.
  * debhelper-compat (=13)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Fix day-of-week for changelog entry 0.20050817-7.

  * Fix lintian issues, add Overrides if needed.

 -- Hilmar Preusse <hille42@web.de>  Wed, 06 Apr 2022 14:49:34 +0200

latex-cjk-japanese-wadalab (0.20050817-17) unstable; urgency=low

  [ Danai SAE-HAN (韓達耐) ]
  * The very late "Thank you" release.
  * Kudos to Norbert to get this package working with TL2012.
  * Bump standards from 3.9.3 to 3.9.8.
  * Bug fix: "[PATCH] latex-cjk-japanese-wadalab: Helping to update to
    Copyright format 1.0", thanks to Jari Aalto <jari.aalto@cante.net>
    (Closes: #670800).
    - [copyright]
       - migrate to Copyright Format 1.0;
    - [compat]
       - bump up the Debian compatibility to v9;
    - [patches/]
       - add DEP-3 headers;
       - change to standard *.patch suffix and (-) in file names;
    - [rules]
       - replace deprecated dh_prep and use dh_prep.
  * [README.source, control]
       - Update the source file location.

  [ Norbert Preining ]
  * fix 64bit compatibility in wftodm (Closes: #841313)
    Thanks to Hilmar Preuße for debugging and Adrian Bunk for fixing.

 -- Norbert Preining <preining@debian.org>  Thu, 27 Oct 2016 10:04:58 +0900

latex-cjk-japanese-wadalab (0.20050817-16) unstable; urgency=low

  * debian/control: add Danai and myself to uploaders
  * use maintscript to remove both old updmap.d files
  * bump build-dep to tex-common >= 3
  * fix broken maintainer field in debian/control
  * fix other lintian warnings
  * bump standards to 3.9.3, no changes necessary
  * convert to source format 3.0 (quilt):
    . rename debian/patches/00list to debian/patches/series
    . remove dpatch dep in debian/control
    . add debian/source/format
    . remove any appearance of *patch* in debian/rules
  * debian/rules:
    . add targets for build-arch and build-indep
    . make a separate unpack target
    . make sure that we break building if fonts cannot be build
      (was shadowed by echo)
    . some cleanup

 -- Norbert Preining <preining@debian.org>  Fri, 23 Mar 2012 17:54:48 +0900

latex-cjk-japanese-wadalab (0.20050817-15) unstable; urgency=low

  * The "Why Twitter if you've got the Debian changelog?" release.
  * Acknowledge the NMU.  Thanks, Norbert.
  * [control]
     - Add Vcs-* and Homepage tags;
     - bump Standards-Version to 3.8.3;
     - depend on debhelper (>= 7);
     - add a build-dependency on tex-common (>= 1.20) to get support
       for trigger-happy fingers;
     - change the maintainer's email address.
  * [compat] Bump to Debhelper v7.
  * [rules] Debhelper v7 makes some cleaning procedures unnecessary.
  * [watch] Remove it; the font will not get an upstream update anymore, and
     the "mangle" option in the watch file was incorrectly configured anyway.
  * [copyright] Add "Copyright" line and "1994" to satisfy Lintian.  The
     year is derived from the timestamp of the copyright file on the DANTE
     FTP site.
  * [latex-cjk/*] Update to upstream release of 4.8.2.
  * [install] Remove bashisms.
  * [README.Debian-source, README.source] Renamed the file from the former name
     into the latter to comply with Standards-Version 3.8.0.
  * [changelog] Change the maintainer's email address.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Mon, 24 Aug 2009 23:21:58 +0200

latex-cjk-japanese-wadalab (0.20050817-14.1) unstable; urgency=low

  * Non-maintainer upload.
  * no change upload to trigger a rebuild with fixed tex-common, see bug
    #492604, to get working postrm files

 -- Norbert Preining <preining@debian.org>  Thu, 31 Jul 2008 12:36:23 +0200

latex-cjk-japanese-wadalab (0.20050817-14) unstable; urgency=low

  * The "Carabosse is finally defeated" release.
  * [control]
     - Remove the dependency on latex-cjk-japanese (>= 4.6.0) and teTeX;
     - don't build-depend on texlive-base-bin and tex-common (>= 0.19) anymore,
       since texlive-font-utils already depends on them;
     - bumped up the Standards-Version from 3.7.2.0 to 3.7.3;
     - depend on debhelper (>= 6).
  * [compat] Change from debhelper V5 to V6.
  * [latex-cjk/c70*.fdx] CJK git20080115 provides improved vertical support
     for Unicode Wadalab.
  * [preinst] dh_installtex has moved the default priority from 10 to 20,
     rendering the /etc/texmf/updmap.d/10latex-cjk-japanese-wadalab.cfg
     conffile obsolete.  This script will create a backup in

