=== debian/control ===
Source: latex-cjk-japanese-wadalab
Section: tex
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>,
	Norbert Preining <preining@debian.org>,
	Hilmar Preuße <hille42@debian.org>
Build-Depends: debhelper-compat (= 13),
	tex-common
Build-Depends-Indep: t1utils, texlive-font-utils
Standards-Version: 4.7.0
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/tex-team/latex-cjk-japanese-wadalab.git
Vcs-Browser: https://salsa.debian.org/tex-team/latex-cjk-japanese-wadalab
Homepage: https://www.ctan.org/tex-archive/fonts/wadalab

Package: latex-cjk-japanese-wadalab
Architecture: all
Depends: ${misc:Depends}
Description: type1 and tfm DNP Japanese fonts for latex-cjk
 This package installs Type1 and TFM fonts from a DNP font called "Wadalab".
 You'll get three flavours: Mincho, Gothic and Maru.
 .
 DNP stands for "Dai Nippon Printing" (a big printing company in Japan).
 DNP fonts are commercial fonts made by this company; if real DNP fonts have
 been already installed at your site, you should use them.  But watanabe-dnp
 fonts (like Wadalab), which are customized from watanabe-jfonts to emulate
 DNP fonts, are freeware.  The method of emulation is symbolic name linking.
 .
 These Type1 fonts differ from those in the gsfonts-wadalab package, because
 CJK author Werner Lemberg has introduced some fixes.
